### Function

# EDataServer OAuth2Service util_compile_value

since: 3.46

#### Declaration [src]

    const gchar*
    e_oauth2_service_util_compile_value (
      const gchar* compile_value,
      gchar* out_glob_buff,
      gsize out_glob_buff_size
    )

#### Description [src]

Processes the `compile_value` and returns the result, which is stored into the `out_glob_buff`. The `out_glob_buff` should be large enough to hold the processed value and it should be a global memory buffer (usually statically allocated) initialized to 0, which is used to short-circuit the call, because the processing is done only if the first element of the `out_glob_buff` is 0, in all other cases the function immediately returns the `out_glob_buff`.

Available since: 3.46

#### Parameters

`compile_value`

  Type: `const gchar*`

  A value provided in the compile time.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`out_glob_buff`

  Type: `gchar*`

  A global buffer to store the processed value to.

  The argument will be set by the function.
  The value is a NUL terminated UTF-8 string.

`out_glob_buff_size`

  Type: `gsize`

  Size of the `out_glob_buff`.

#### Return value

Type: `const gchar*`

Processed `compile_value`, saved into *out_glob_buff.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.